Gino Soccio
Band from Westmount, QC · formed 1955
- disco

- Shows on record
- None on record
- Rooms played
- None on record
- Cities
- None on record
- Releases
- None on record
- Last show
- None on record
About
Gino Soccio is a band from Westmount, QC, formed in 1955, tagged disco by its sources. No dated shows are on record.
The summary is assembled from the record fields and shows on this page; each fact listed names its source. See Sources & corrections for what each source supplied.
Shows
No past shows on record.
Where they play
No rooms on record.
Releases
No releases on record.
Discography
44 releases, 1978–2007- 2007Midnight Blue EditsRelease
Arcobaleno Records · ARCOEDIT 204
- 2007Try It Out / DancerRelease
Atlantic · DMD 269 · Producer, Arranged By, Written-By: Gino Soccio
- 1997Dancer (Bootleg Mix) / Double Dutch Bus (Bootleg Mix)Release
Unidisc · SPEC-1728
- 1994RememberCompilation
Unidisc · SPLK-7239
- 1994The Best of Gino SoccioCompilation
Unidisc · SPLK-7240
- 1994The Best Of...Compilation
Unidisc · SPLK-7240
- 1989Greatest HitsCompilation
Unidisc · SPLK2-8012 · Producer, Arranged By, Written-By: Gino Soccio
- 1988It's Alright / Turn It Around / S-BeatRelease
Unidisc · SPEC-1363
- 1988Love The One You're WithRelease
Broken Records · BRO-12001 · Engineer [Re-mix]: Glen Robinson; Producer [Associated]: Galen Senogles; Producer [Associated]: Ralph Benatar; Producer, Arranged By: Gino Soccio
- 1988Megamix MedleyRelease
Unidisc · SPEC-1388 · Mixed By: André Meunier
- 1988Remember / The Visitors / Les VisiteursRelease
Unidisc · SPEC-1361 · Producer, Arranged By, Written-By: Gino Soccio
- 1988Try It OutSingle
Unidisc · SP5-1362
Show 32 more releases
- 1988Try It Out / I Wanna Take You There Now / Rhythm Of The WorldRelease
Unidisc · SPEC-1362 · Producer, Arranged By, Written-By: Gino Soccio
- 1986MagicRelease
ZYX Records · ZYX 5559 · Executive-Producer: John Driscoll; Producer, Written-By: Gino Soccio
- 1985Human NatureRelease
Il Discotto Productions · ART 1056 · Producer, Arranged By, Composed By, Written-By: Gino Soccio; Recorded By: Billy Szawlowski
- 1985Temptation EyesRelease
Celebration · CEL 310 · Engineer [Sound]: Billy Szawlowski; Executive-Producer: Gino Soccio; Producer, Arranged By: Gino Soccio
- 1984RememberCompilation
Celebration · CEL 2134 · Producer, Arranged By, Composed By, Art Direction: Gino Soccio
- 1984She's Gone Out Of My LifeSingle
Atlantic · 786 953-0 · Executive-Producer: Ray Caviano; Producer: Gino Soccio
- 1984Turn It AroundSingle
Atlantic · 0-86960 · Engineer: Billy Szawlowski; Executive-Producer: Ray Caviano; Producer, Written-By: Gino Soccio
- 1984Turn It Around / Leave ItRelease
Atlantic · PROMO 197
- 1982Dance Exercise Music Vol. OneRelease
Celebration · CEL 41 · Producer, Arranged By, Written-By, Performer: Gino Soccio
- 1982Face to FaceAlbum
Atlantic · ATL 50 891 · Engineer: Paul Pagé; Engineer [Assistant]: Diane Leboeuf; Engineer [Assistant]: Normand Corbeil; Engineer [Assistant]: Robert Verebely
- 1982For Those About to Rock / It's AlrightSingle
Atlantic · PROMO 160
- 1982It's AlrightRelease
Atlantic · DMD 341 · Producer, Arranged By, Written-By: Gino Soccio
- 1982RememberRelease
Atlantic · DMD 357 · Engineer [Remix]: Billy Szawlowski; Producer, Arranged By, Composed By, Remix: Gino Soccio
- 1982You Move MeRelease
Atlantic · DMD 364 · Producer, Arranged By, Written-By: Gino Soccio
- 1981CloserAlbum
Atlantic · ATL 50 790 · Engineer: Paul Pagé; Engineer [Assistant]: Clément Croteau; Mastered By [Mastering Engineer]: Jack Skinner
- 1981Try It OutSingle
Atlantic · ATL 20.257 · Mastered By: Kees Grijpink; Producer, Arranged By, Written-By: Gino Soccio
- 1981Try It Out / Hold TightSingle
Atlantic · 23(7041)00026
- 1981What You Feel Is Real - Hold TightRelease
Atlantic · DMD 281
- 1980Heartbreaker / Rhythm Of The WorldRelease
Warner Bros. Records · PRO-A-893
- 1980S-Beat / HeartbreakerRelease
Warner Bros. Records · RFC 26 140 · Producer, Arranged By, Composed By: Gino Soccio
- 1980S-Beat / I Wanna Take You There (Now)Release
Warner Bros. Records · WB 26143 · Producer, Written-By: Gino Soccio
- 1980S‐BeatAlbum
Warner Bros. Records · RFC 3430 · Engineer: Paul Pagé; Engineer [Assistant]: Rene Godbout; Engineer [Assistant]: Rex Kelly; Mastered By: Jack Skinner
- 1979Dance To Dance / Dancer = 踊ろよダンス / ダンサーRelease
Warner Bros. Records · P-419W
- 1979Dance To Dance / The VisitorsRelease
Warner Bros. Records · DRCS 8860 · Producer: Mix Machine
- 1979DancerSingle
Warner Bros. Records · LV 23
- 1979Dancer / Dance To DanceSingle
Warner Bros. Records · 26 087 · Producer: Mix Machine
- 1979Dancer / There's A WomanSingle
Warner Bros. Records · 23(1041)00005
- 1979OutlineAlbum
RFC Records · RFC 3309 · Engineer: Lindsay Kidd; Engineer [Assistant]: Jose Bunting; Engineer [Assistant]: Pierre Groulx; Mastered By: Jack Skinner
- 1979The VisitorsSingle
Warner Bros. Records · W 26086
- 1979The Visitors / There's A WomanRelease
RFC Records · RFC 17525 · Producer, Mixed By, Written By: Gino Soccio
- 1978Les VisiteursRelease
Celebration · CEL 2291-X · Producer: Gino Soccio
- 1978Sauve Qui PeutSingle
Montreco · MCR 5001
Compiled from MusicBrainz and Discogs. Releases not listed there are not shown.
Lineup
No current lineup on record.
Airplay
No airplay on record.
Photos, art and posters
Sources & corrections
| Source | Used for |
|---|---|
| Spotify | Photos |
This is a partial record of publicly documented activity. Missing shows, releases or members do not mean there are none. It does not confirm availability for booking.
From Wikipedia
These facts are from the English Wikipedia article Gino Soccio. They are shown on their own and are not merged into the record above.
- Years active
- 1977–present
- Genres
- Disco, funk, post-disco
- Labels
- Celebration, Warner Bros, RFC, Atlantic
From Wikipedia, the free encyclopedia. Revision used. Wikipedia content is available under CC BY-SA 4.0.